<?php

/**
 * Subclass for performing query and update operations on the 'tblbloguser' table.
 *
 * 
 *
 * @package lib.model
 */ 
class TblbloguserPeer extends BaseTblbloguserPeer
{
  public static function getBlogNumOfUsers($blogId) {
    $c = new Criteria();
    $c->add(self::US_BLOG, $blogId);
    return self::doCount($c);
  }

  public static function getUserManageCat($us_id) {
    $tblbloguser = TblbloguserPeer::retrieveByPK(blogStore::$blogId, $us_id);
    if ($tblbloguser == null) return '';
    $managecat = $tblbloguser->getUsManagecat();
    if ($managecat == null) return '';
    return $managecat;
  }
}
